# **********************************************************************
#
# Copyright (c) 2003-2005 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

# Ice version 2.1.2
# Generated from file `Admin.ice'

import Ice, IcePy, __builtin__
import Ice_Identity_ice
import Ice_BuiltinSequences_ice
import Ice_SliceChecksumDict_ice
import IceBox_IceBox_ice
import IcePack_Exception_ice

# Included module Ice
_M_Ice = Ice.openModule('Ice')

# Included module IceBox
_M_IceBox = Ice.openModule('IceBox')

# Included module IcePack
_M_IcePack = Ice.openModule('IcePack')

# Start of module IcePack
__name__ = 'IcePack'

_M_IcePack.ServerActivation = Ice.createTempClass()
class ServerActivation(object):

    def __init__(self, val):
        assert(val >= 0 and val < 2)
        self.value = val

    def __str__(self):
        if self.value == 0:
            return 'OnDemand'
        elif self.value == 1:
            return 'Manual'
        return None

    __repr__ = __str__

    def __hash__(self):
        return self.value

    def __cmp__(self, other):
        return cmp(self.value, other.value)

ServerActivation.OnDemand = ServerActivation(0)
ServerActivation.Manual = ServerActivation(1)

_M_IcePack._t_ServerActivation = IcePy.defineEnum('::IcePack::ServerActivation', ServerActivation, (ServerActivation.OnDemand, ServerActivation.Manual))

_M_IcePack.ServerActivation = ServerActivation
del ServerActivation

_M_IcePack.ObjectDescriptor = Ice.createTempClass()
class ObjectDescriptor(object):
    def __init__(self, proxy=None, type='', adapterId=''):
        self.proxy = proxy
        self.type = type
        self.adapterId = adapterId

    def __hash__(self):
        _h = 0
        _h = 5 * _h + __builtin__.hash(self.proxy)
        _h = 5 * _h + __builtin__.hash(self.type)
        _h = 5 * _h + __builtin__.hash(self.adapterId)
        return _h % 0x7fffffff

    def __eq__(self, other):
        if not self.proxy == other.proxy:
            return False
        if not self.type == other.type:
            return False
        if not self.adapterId == other.adapterId:
            return False
        return True

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_ObjectDescriptor)

    __repr__ = __str__

_M_IcePack._t_ObjectDescriptor = IcePy.defineStruct('::IcePack::ObjectDescriptor', ObjectDescriptor, (
    ("proxy", IcePy._t_ObjectPrx),
    ("type", IcePy._t_string),
    ("adapterId", IcePy._t_string)
))

_M_IcePack.ObjectDescriptor = ObjectDescriptor
del ObjectDescriptor

_M_IcePack._t_ObjectDescriptorSeq = IcePy.defineSequence('::IcePack::ObjectDescriptorSeq', _M_IcePack._t_ObjectDescriptor)

_M_IcePack.AdapterDescriptor = Ice.createTempClass()
class AdapterDescriptor(object):
    def __init__(self, name='', id='', endpoints='', registerProcess=False, objects=None):
        self.name = name
        self.id = id
        self.endpoints = endpoints
        self.registerProcess = registerProcess
        self.objects = objects

    def __hash__(self):
        _h = 0
        _h = 5 * _h + __builtin__.hash(self.name)
        _h = 5 * _h + __builtin__.hash(self.id)
        _h = 5 * _h + __builtin__.hash(self.endpoints)
        _h = 5 * _h + __builtin__.hash(self.registerProcess)
        if self.objects:
            for _i0 in self.objects:
                _h = 5 * _h + __builtin__.hash(_i0)
        return _h % 0x7fffffff

    def __eq__(self, other):
        if not self.name == other.name:
            return False
        if not self.id == other.id:
            return False
        if not self.endpoints == other.endpoints:
            return False
        if not self.registerProcess == other.registerProcess:
            return False
        if not self.objects == other.objects:
            return False
        return True

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_AdapterDescriptor)

    __repr__ = __str__

_M_IcePack._t_AdapterDescriptor = IcePy.defineStruct('::IcePack::AdapterDescriptor', AdapterDescriptor, (
    ("name", IcePy._t_string),
    ("id", IcePy._t_string),
    ("endpoints", IcePy._t_string),
    ("registerProcess", IcePy._t_bool),
    ("objects", _M_IcePack._t_ObjectDescriptorSeq)
))

_M_IcePack.AdapterDescriptor = AdapterDescriptor
del AdapterDescriptor

_M_IcePack._t_AdapterDescriptorSeq = IcePy.defineSequence('::IcePack::AdapterDescriptorSeq', _M_IcePack._t_AdapterDescriptor)

_M_IcePack.PropertyDescriptor = Ice.createTempClass()
class PropertyDescriptor(object):
    def __init__(self, name='', value=''):
        self.name = name
        self.value = value

    def __hash__(self):
        _h = 0
        _h = 5 * _h + __builtin__.hash(self.name)
        _h = 5 * _h + __builtin__.hash(self.value)
        return _h % 0x7fffffff

    def __eq__(self, other):
        if not self.name == other.name:
            return False
        if not self.value == other.value:
            return False
        return True

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_PropertyDescriptor)

    __repr__ = __str__

_M_IcePack._t_PropertyDescriptor = IcePy.defineStruct('::IcePack::PropertyDescriptor', PropertyDescriptor, (
    ("name", IcePy._t_string),
    ("value", IcePy._t_string)
))

_M_IcePack.PropertyDescriptor = PropertyDescriptor
del PropertyDescriptor

_M_IcePack._t_PropertyDescriptorSeq = IcePy.defineSequence('::IcePack::PropertyDescriptorSeq', _M_IcePack._t_PropertyDescriptor)

_M_IcePack.DbEnvDescriptor = Ice.createTempClass()
class DbEnvDescriptor(object):
    def __init__(self, name='', dbHome='', properties=None):
        self.name = name
        self.dbHome = dbHome
        self.properties = properties

    def __hash__(self):
        _h = 0
        _h = 5 * _h + __builtin__.hash(self.name)
        _h = 5 * _h + __builtin__.hash(self.dbHome)
        if self.properties:
            for _i0 in self.properties:
                _h = 5 * _h + __builtin__.hash(_i0)
        return _h % 0x7fffffff

    def __eq__(self, other):
        if not self.name == other.name:
            return False
        if not self.dbHome == other.dbHome:
            return False
        if not self.properties == other.properties:
            return False
        return True

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_DbEnvDescriptor)

    __repr__ = __str__

_M_IcePack._t_DbEnvDescriptor = IcePy.defineStruct('::IcePack::DbEnvDescriptor', DbEnvDescriptor, (
    ("name", IcePy._t_string),
    ("dbHome", IcePy._t_string),
    ("properties", _M_IcePack._t_PropertyDescriptorSeq)
))

_M_IcePack.DbEnvDescriptor = DbEnvDescriptor
del DbEnvDescriptor

_M_IcePack._t_DbEnvDescriptorSeq = IcePy.defineSequence('::IcePack::DbEnvDescriptorSeq', _M_IcePack._t_DbEnvDescriptor)

_M_IcePack.ComponentDescriptor = Ice.createTempClass()
class ComponentDescriptor(Ice.Object):
    def __init__(self, name='', adapters=None, properties=None, dbEnvs=None, comment=''):
        self.name = name
        self.adapters = adapters
        self.properties = properties
        self.dbEnvs = dbEnvs
        self.comment = comment

    def ice_ids(self, current=None):
        return ('::Ice::Object', '::IcePack::ComponentDescriptor')

    def ice_id(self, current=None):
        return '::IcePack::ComponentDescriptor'

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_ComponentDescriptor)

    __repr__ = __str__

_M_IcePack.ComponentDescriptorPrx = Ice.createTempClass()
class ComponentDescriptorPrx(Ice.ObjectPrx):

    def checkedCast(proxy, facet='', _ctx=None):
        return _M_IcePack.ComponentDescriptorPrx.ice_checkedCast(proxy, '::IcePack::ComponentDescriptor', facet, _ctx)
    checkedCast = staticmethod(checkedCast)

    def uncheckedCast(proxy, facet=''):
        return _M_IcePack.ComponentDescriptorPrx.ice_uncheckedCast(proxy, facet)
    uncheckedCast = staticmethod(uncheckedCast)

_M_IcePack._t_ComponentDescriptorPrx = IcePy.defineProxy('::IcePack::ComponentDescriptor', ComponentDescriptorPrx)

_M_IcePack._t_ComponentDescriptor = IcePy.defineClass('::IcePack::ComponentDescriptor', ComponentDescriptor, False, None, (), (
    ('name', IcePy._t_string),
    ('adapters', _M_IcePack._t_AdapterDescriptorSeq),
    ('properties', _M_IcePack._t_PropertyDescriptorSeq),
    ('dbEnvs', _M_IcePack._t_DbEnvDescriptorSeq),
    ('comment', IcePy._t_string)
))
ComponentDescriptor.ice_type = _M_IcePack._t_ComponentDescriptor

_M_IcePack.ComponentDescriptor = ComponentDescriptor
del ComponentDescriptor

_M_IcePack.ComponentDescriptorPrx = ComponentDescriptorPrx
del ComponentDescriptorPrx

_M_IcePack.ServerDescriptor = Ice.createTempClass()
class ServerDescriptor(_M_IcePack.ComponentDescriptor):
    def __init__(self, name='', adapters=None, properties=None, dbEnvs=None, comment='', exe='', pwd='', node='', application='', options=None, envs=None, activation=_M_IcePack.ServerActivation.OnDemand):
        _M_IcePack.ComponentDescriptor.__init__(self, name, adapters, properties, dbEnvs, comment)
        self.exe = exe
        self.pwd = pwd
        self.node = node
        self.application = application
        self.options = options
        self.envs = envs
        self.activation = activation

    def ice_ids(self, current=None):
        return ('::Ice::Object', '::IcePack::ComponentDescriptor', '::IcePack::ServerDescriptor')

    def ice_id(self, current=None):
        return '::IcePack::ServerDescriptor'

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_ServerDescriptor)

    __repr__ = __str__

_M_IcePack.ServerDescriptorPrx = Ice.createTempClass()
class ServerDescriptorPrx(_M_IcePack.ComponentDescriptorPrx):

    def checkedCast(proxy, facet='', _ctx=None):
        return _M_IcePack.ServerDescriptorPrx.ice_checkedCast(proxy, '::IcePack::ServerDescriptor', facet, _ctx)
    checkedCast = staticmethod(checkedCast)

    def uncheckedCast(proxy, facet=''):
        return _M_IcePack.ServerDescriptorPrx.ice_uncheckedCast(proxy, facet)
    uncheckedCast = staticmethod(uncheckedCast)

_M_IcePack._t_ServerDescriptorPrx = IcePy.defineProxy('::IcePack::ServerDescriptor', ServerDescriptorPrx)

_M_IcePack._t_ServerDescriptor = IcePy.defineClass('::IcePack::ServerDescriptor', ServerDescriptor, False, _M_IcePack._t_ComponentDescriptor, (), (
    ('exe', IcePy._t_string),
    ('pwd', IcePy._t_string),
    ('node', IcePy._t_string),
    ('application', IcePy._t_string),
    ('options', _M_Ice._t_StringSeq),
    ('envs', _M_Ice._t_StringSeq),
    ('activation', _M_IcePack._t_ServerActivation)
))
ServerDescriptor.ice_type = _M_IcePack._t_ServerDescriptor

_M_IcePack.ServerDescriptor = ServerDescriptor
del ServerDescriptor

_M_IcePack.ServerDescriptorPrx = ServerDescriptorPrx
del ServerDescriptorPrx

_M_IcePack._t_ServerDescriptorSeq = IcePy.defineSequence('::IcePack::ServerDescriptorSeq', _M_IcePack._t_ServerDescriptor)

_M_IcePack.JavaServerDescriptor = Ice.createTempClass()
class JavaServerDescriptor(_M_IcePack.ServerDescriptor):
    def __init__(self, name='', adapters=None, properties=None, dbEnvs=None, comment='', exe='', pwd='', node='', application='', options=None, envs=None, activation=_M_IcePack.ServerActivation.OnDemand, className='', jvmOptions=None):
        _M_IcePack.ServerDescriptor.__init__(self, name, adapters, properties, dbEnvs, comment, exe, pwd, node, application, options, envs, activation)
        self.className = className
        self.jvmOptions = jvmOptions

    def ice_ids(self, current=None):
        return ('::Ice::Object', '::IcePack::ComponentDescriptor', '::IcePack::JavaServerDescriptor', '::IcePack::ServerDescriptor')

    def ice_id(self, current=None):
        return '::IcePack::JavaServerDescriptor'

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_JavaServerDescriptor)

    __repr__ = __str__

_M_IcePack.JavaServerDescriptorPrx = Ice.createTempClass()
class JavaServerDescriptorPrx(_M_IcePack.ServerDescriptorPrx):

    def checkedCast(proxy, facet='', _ctx=None):
        return _M_IcePack.JavaServerDescriptorPrx.ice_checkedCast(proxy, '::IcePack::JavaServerDescriptor', facet, _ctx)
    checkedCast = staticmethod(checkedCast)

    def uncheckedCast(proxy, facet=''):
        return _M_IcePack.JavaServerDescriptorPrx.ice_uncheckedCast(proxy, facet)
    uncheckedCast = staticmethod(uncheckedCast)

_M_IcePack._t_JavaServerDescriptorPrx = IcePy.defineProxy('::IcePack::JavaServerDescriptor', JavaServerDescriptorPrx)

_M_IcePack._t_JavaServerDescriptor = IcePy.defineClass('::IcePack::JavaServerDescriptor', JavaServerDescriptor, False, _M_IcePack._t_ServerDescriptor, (), (
    ('className', IcePy._t_string),
    ('jvmOptions', _M_Ice._t_StringSeq)
))
JavaServerDescriptor.ice_type = _M_IcePack._t_JavaServerDescriptor

_M_IcePack.JavaServerDescriptor = JavaServerDescriptor
del JavaServerDescriptor

_M_IcePack.JavaServerDescriptorPrx = JavaServerDescriptorPrx
del JavaServerDescriptorPrx

_M_IcePack.ServiceDescriptor = Ice.createTempClass()
class ServiceDescriptor(_M_IcePack.ComponentDescriptor):
    def __init__(self, name='', adapters=None, properties=None, dbEnvs=None, comment='', entry=''):
        _M_IcePack.ComponentDescriptor.__init__(self, name, adapters, properties, dbEnvs, comment)
        self.entry = entry

    def ice_ids(self, current=None):
        return ('::Ice::Object', '::IcePack::ComponentDescriptor', '::IcePack::ServiceDescriptor')

    def ice_id(self, current=None):
        return '::IcePack::ServiceDescriptor'

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_ServiceDescriptor)

    __repr__ = __str__

_M_IcePack.ServiceDescriptorPrx = Ice.createTempClass()
class ServiceDescriptorPrx(_M_IcePack.ComponentDescriptorPrx):

    def checkedCast(proxy, facet='', _ctx=None):
        return _M_IcePack.ServiceDescriptorPrx.ice_checkedCast(proxy, '::IcePack::ServiceDescriptor', facet, _ctx)
    checkedCast = staticmethod(checkedCast)

    def uncheckedCast(proxy, facet=''):
        return _M_IcePack.ServiceDescriptorPrx.ice_uncheckedCast(proxy, facet)
    uncheckedCast = staticmethod(uncheckedCast)

_M_IcePack._t_ServiceDescriptorPrx = IcePy.defineProxy('::IcePack::ServiceDescriptor', ServiceDescriptorPrx)

_M_IcePack._t_ServiceDescriptor = IcePy.defineClass('::IcePack::ServiceDescriptor', ServiceDescriptor, False, _M_IcePack._t_ComponentDescriptor, (), (('entry', IcePy._t_string),))
ServiceDescriptor.ice_type = _M_IcePack._t_ServiceDescriptor

_M_IcePack.ServiceDescriptor = ServiceDescriptor
del ServiceDescriptor

_M_IcePack.ServiceDescriptorPrx = ServiceDescriptorPrx
del ServiceDescriptorPrx

_M_IcePack._t_ServiceDescriptorSeq = IcePy.defineSequence('::IcePack::ServiceDescriptorSeq', _M_IcePack._t_ServiceDescriptor)

_M_IcePack.CppIceBoxDescriptor = Ice.createTempClass()
class CppIceBoxDescriptor(_M_IcePack.ServerDescriptor):
    def __init__(self, name='', adapters=None, properties=None, dbEnvs=None, comment='', exe='', pwd='', node='', application='', options=None, envs=None, activation=_M_IcePack.ServerActivation.OnDemand, services=None, endpoints=''):
        _M_IcePack.ServerDescriptor.__init__(self, name, adapters, properties, dbEnvs, comment, exe, pwd, node, application, options, envs, activation)
        self.services = services
        self.endpoints = endpoints

    def ice_ids(self, current=None):
        return ('::Ice::Object', '::IcePack::ComponentDescriptor', '::IcePack::CppIceBoxDescriptor', '::IcePack::ServerDescriptor')

    def ice_id(self, current=None):
        return '::IcePack::CppIceBoxDescriptor'

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_CppIceBoxDescriptor)

    __repr__ = __str__

_M_IcePack.CppIceBoxDescriptorPrx = Ice.createTempClass()
class CppIceBoxDescriptorPrx(_M_IcePack.ServerDescriptorPrx):

    def checkedCast(proxy, facet='', _ctx=None):
        return _M_IcePack.CppIceBoxDescriptorPrx.ice_checkedCast(proxy, '::IcePack::CppIceBoxDescriptor', facet, _ctx)
    checkedCast = staticmethod(checkedCast)

    def uncheckedCast(proxy, facet=''):
        return _M_IcePack.CppIceBoxDescriptorPrx.ice_uncheckedCast(proxy, facet)
    uncheckedCast = staticmethod(uncheckedCast)

_M_IcePack._t_CppIceBoxDescriptorPrx = IcePy.defineProxy('::IcePack::CppIceBoxDescriptor', CppIceBoxDescriptorPrx)

_M_IcePack._t_CppIceBoxDescriptor = IcePy.declareClass('::IcePack::CppIceBoxDescriptor')

_M_IcePack._t_CppIceBoxDescriptor = IcePy.defineClass('::IcePack::CppIceBoxDescriptor', CppIceBoxDescriptor, False, _M_IcePack._t_ServerDescriptor, (), (
    ('services', _M_IcePack._t_ServiceDescriptorSeq),
    ('endpoints', IcePy._t_string)
))
CppIceBoxDescriptor.ice_type = _M_IcePack._t_CppIceBoxDescriptor

_M_IcePack.CppIceBoxDescriptor = CppIceBoxDescriptor
del CppIceBoxDescriptor

_M_IcePack.CppIceBoxDescriptorPrx = CppIceBoxDescriptorPrx
del CppIceBoxDescriptorPrx

_M_IcePack.JavaIceBoxDescriptor = Ice.createTempClass()
class JavaIceBoxDescriptor(_M_IcePack.JavaServerDescriptor):
    def __init__(self, name='', adapters=None, properties=None, dbEnvs=None, comment='', exe='', pwd='', node='', application='', options=None, envs=None, activation=_M_IcePack.ServerActivation.OnDemand, className='', jvmOptions=None, services=None, endpoints=''):
        _M_IcePack.JavaServerDescriptor.__init__(self, name, adapters, properties, dbEnvs, comment, exe, pwd, node, application, options, envs, activation, className, jvmOptions)
        self.services = services
        self.endpoints = endpoints

    def ice_ids(self, current=None):
        return ('::Ice::Object', '::IcePack::ComponentDescriptor', '::IcePack::JavaIceBoxDescriptor', '::IcePack::JavaServerDescriptor', '::IcePack::ServerDescriptor')

    def ice_id(self, current=None):
        return '::IcePack::JavaIceBoxDescriptor'

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_JavaIceBoxDescriptor)

    __repr__ = __str__

_M_IcePack.JavaIceBoxDescriptorPrx = Ice.createTempClass()
class JavaIceBoxDescriptorPrx(_M_IcePack.JavaServerDescriptorPrx):

    def checkedCast(proxy, facet='', _ctx=None):
        return _M_IcePack.JavaIceBoxDescriptorPrx.ice_checkedCast(proxy, '::IcePack::JavaIceBoxDescriptor', facet, _ctx)
    checkedCast = staticmethod(checkedCast)

    def uncheckedCast(proxy, facet=''):
        return _M_IcePack.JavaIceBoxDescriptorPrx.ice_uncheckedCast(proxy, facet)
    uncheckedCast = staticmethod(uncheckedCast)

_M_IcePack._t_JavaIceBoxDescriptorPrx = IcePy.defineProxy('::IcePack::JavaIceBoxDescriptor', JavaIceBoxDescriptorPrx)

_M_IcePack._t_JavaIceBoxDescriptor = IcePy.declareClass('::IcePack::JavaIceBoxDescriptor')

_M_IcePack._t_JavaIceBoxDescriptor = IcePy.defineClass('::IcePack::JavaIceBoxDescriptor', JavaIceBoxDescriptor, False, _M_IcePack._t_JavaServerDescriptor, (), (
    ('services', _M_IcePack._t_ServiceDescriptorSeq),
    ('endpoints', IcePy._t_string)
))
JavaIceBoxDescriptor.ice_type = _M_IcePack._t_JavaIceBoxDescriptor

_M_IcePack.JavaIceBoxDescriptor = JavaIceBoxDescriptor
del JavaIceBoxDescriptor

_M_IcePack.JavaIceBoxDescriptorPrx = JavaIceBoxDescriptorPrx
del JavaIceBoxDescriptorPrx

_M_IcePack.ApplicationDescriptor = Ice.createTempClass()
class ApplicationDescriptor(Ice.Object):
    def __init__(self, name='', servers=None, comment=''):
        self.name = name
        self.servers = servers
        self.comment = comment

    def ice_ids(self, current=None):
        return ('::Ice::Object', '::IcePack::ApplicationDescriptor')

    def ice_id(self, current=None):
        return '::IcePack::ApplicationDescriptor'

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_ApplicationDescriptor)

    __repr__ = __str__

_M_IcePack.ApplicationDescriptorPrx = Ice.createTempClass()
class ApplicationDescriptorPrx(Ice.ObjectPrx):

    def checkedCast(proxy, facet='', _ctx=None):
        return _M_IcePack.ApplicationDescriptorPrx.ice_checkedCast(proxy, '::IcePack::ApplicationDescriptor', facet, _ctx)
    checkedCast = staticmethod(checkedCast)

    def uncheckedCast(proxy, facet=''):
        return _M_IcePack.ApplicationDescriptorPrx.ice_uncheckedCast(proxy, facet)
    uncheckedCast = staticmethod(uncheckedCast)

_M_IcePack._t_ApplicationDescriptorPrx = IcePy.defineProxy('::IcePack::ApplicationDescriptor', ApplicationDescriptorPrx)

_M_IcePack._t_ApplicationDescriptor = IcePy.declareClass('::IcePack::ApplicationDescriptor')

_M_IcePack._t_ApplicationDescriptor = IcePy.defineClass('::IcePack::ApplicationDescriptor', ApplicationDescriptor, False, None, (), (
    ('name', IcePy._t_string),
    ('servers', _M_IcePack._t_ServerDescriptorSeq),
    ('comment', IcePy._t_string)
))
ApplicationDescriptor.ice_type = _M_IcePack._t_ApplicationDescriptor

_M_IcePack.ApplicationDescriptor = ApplicationDescriptor
del ApplicationDescriptor

_M_IcePack.ApplicationDescriptorPrx = ApplicationDescriptorPrx
del ApplicationDescriptorPrx

_M_IcePack.ServerState = Ice.createTempClass()
class ServerState(object):

    def __init__(self, val):
        assert(val >= 0 and val < 6)
        self.value = val

    def __str__(self):
        if self.value == 0:
            return 'Inactive'
        elif self.value == 1:
            return 'Activating'
        elif self.value == 2:
            return 'Active'
        elif self.value == 3:
            return 'Deactivating'
        elif self.value == 4:
            return 'Destroying'
        elif self.value == 5:
            return 'Destroyed'
        return None

    __repr__ = __str__

    def __hash__(self):
        return self.value

    def __cmp__(self, other):
        return cmp(self.value, other.value)

ServerState.Inactive = ServerState(0)
ServerState.Activating = ServerState(1)
ServerState.Active = ServerState(2)
ServerState.Deactivating = ServerState(3)
ServerState.Destroying = ServerState(4)
ServerState.Destroyed = ServerState(5)

_M_IcePack._t_ServerState = IcePy.defineEnum('::IcePack::ServerState', ServerState, (ServerState.Inactive, ServerState.Activating, ServerState.Active, ServerState.Deactivating, ServerState.Destroying, ServerState.Destroyed))

_M_IcePack.ServerState = ServerState
del ServerState

_M_IcePack.Admin = Ice.createTempClass()
class Admin(Ice.Object):
    def __init__(self):
        if __builtin__.type(self) == _M_IcePack.Admin:
            raise RuntimeError('IcePack.Admin is an abstract class')

    def ice_ids(self, current=None):
        return ('::Ice::Object', '::IcePack::Admin')

    def ice_id(self, current=None):
        return '::IcePack::Admin'

    #
    # Operation signatures.
    #
    # def addApplication(self, descriptor, current=None):
    # def updateApplication(self, descriptor, current=None):
    # def getAllApplicationNames(self, current=None):
    # def removeApplication(self, name, current=None):
    # def getApplicationDescriptor(self, name, current=None):
    # def addServer(self, server, current=None):
    # def updateServer(self, server, current=None):
    # def removeServer(self, name, current=None):
    # def getServerDescriptor(self, name, current=None):
    # def getServerState(self, name, current=None):
    # def getServerPid(self, name, current=None):
    # def getServerActivation(self, name, current=None):
    # def setServerActivation(self, name, mode, current=None):
    # def startServer(self, name, current=None):
    # def stopServer(self, name, current=None):
    # def sendSignal(self, name, signal, current=None):
    # def writeMessage(self, name, message, fd, current=None):
    # def getAllServerNames(self, current=None):
    # def getAdapterEndpoints(self, id, current=None):
    # def getAllAdapterIds(self, current=None):
    # def addObject(self, obj, current=None):
    # def addObjectWithType(self, obj, type, current=None):
    # def removeObject(self, id, current=None):
    # def getObjectDescriptor(self, id, current=None):
    # def getAllObjectDescriptors(self, expr, current=None):
    # def pingNode(self, name, current=None):
    # def shutdownNode(self, name, current=None):
    # def removeNode(self, name, current=None):
    # def getNodeHostname(self, name, current=None):
    # def getAllNodeNames(self, current=None):
    # def shutdown(self, current=None):
    # def getSliceChecksums(self, current=None):

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_Admin)

    __repr__ = __str__

_M_IcePack.AdminPrx = Ice.createTempClass()
class AdminPrx(Ice.ObjectPrx):

    def addApplication(self, descriptor, _ctx=None):
        return _M_IcePack.Admin._op_addApplication.invoke(self, (descriptor, ), _ctx)

    def updateApplication(self, descriptor, _ctx=None):
        return _M_IcePack.Admin._op_updateApplication.invoke(self, (descriptor, ), _ctx)

    def getAllApplicationNames(self, _ctx=None):
        return _M_IcePack.Admin._op_getAllApplicationNames.invoke(self, (), _ctx)

    def removeApplication(self, name, _ctx=None):
        return _M_IcePack.Admin._op_removeApplication.invoke(self, (name, ), _ctx)

    def getApplicationDescriptor(self, name, _ctx=None):
        return _M_IcePack.Admin._op_getApplicationDescriptor.invoke(self, (name, ), _ctx)

    def addServer(self, server, _ctx=None):
        return _M_IcePack.Admin._op_addServer.invoke(self, (server, ), _ctx)

    def updateServer(self, server, _ctx=None):
        return _M_IcePack.Admin._op_updateServer.invoke(self, (server, ), _ctx)

    def removeServer(self, name, _ctx=None):
        return _M_IcePack.Admin._op_removeServer.invoke(self, (name, ), _ctx)

    def getServerDescriptor(self, name, _ctx=None):
        return _M_IcePack.Admin._op_getServerDescriptor.invoke(self, (name, ), _ctx)

    def getServerState(self, name, _ctx=None):
        return _M_IcePack.Admin._op_getServerState.invoke(self, (name, ), _ctx)

    def getServerPid(self, name, _ctx=None):
        return _M_IcePack.Admin._op_getServerPid.invoke(self, (name, ), _ctx)

    def getServerActivation(self, name, _ctx=None):
        return _M_IcePack.Admin._op_getServerActivation.invoke(self, (name, ), _ctx)

    def setServerActivation(self, name, mode, _ctx=None):
        return _M_IcePack.Admin._op_setServerActivation.invoke(self, (name, mode), _ctx)

    def startServer(self, name, _ctx=None):
        return _M_IcePack.Admin._op_startServer.invoke(self, (name, ), _ctx)

    def stopServer(self, name, _ctx=None):
        return _M_IcePack.Admin._op_stopServer.invoke(self, (name, ), _ctx)

    def sendSignal(self, name, signal, _ctx=None):
        return _M_IcePack.Admin._op_sendSignal.invoke(self, (name, signal), _ctx)

    def writeMessage(self, name, message, fd, _ctx=None):
        return _M_IcePack.Admin._op_writeMessage.invoke(self, (name, message, fd), _ctx)

    def getAllServerNames(self, _ctx=None):
        return _M_IcePack.Admin._op_getAllServerNames.invoke(self, (), _ctx)

    def getAdapterEndpoints(self, id, _ctx=None):
        return _M_IcePack.Admin._op_getAdapterEndpoints.invoke(self, (id, ), _ctx)

    def getAllAdapterIds(self, _ctx=None):
        return _M_IcePack.Admin._op_getAllAdapterIds.invoke(self, (), _ctx)

    def addObject(self, obj, _ctx=None):
        return _M_IcePack.Admin._op_addObject.invoke(self, (obj, ), _ctx)

    def addObjectWithType(self, obj, type, _ctx=None):
        return _M_IcePack.Admin._op_addObjectWithType.invoke(self, (obj, type), _ctx)

    def removeObject(self, id, _ctx=None):
        return _M_IcePack.Admin._op_removeObject.invoke(self, (id, ), _ctx)

    def getObjectDescriptor(self, id, _ctx=None):
        return _M_IcePack.Admin._op_getObjectDescriptor.invoke(self, (id, ), _ctx)

    def getAllObjectDescriptors(self, expr, _ctx=None):
        return _M_IcePack.Admin._op_getAllObjectDescriptors.invoke(self, (expr, ), _ctx)

    def pingNode(self, name, _ctx=None):
        return _M_IcePack.Admin._op_pingNode.invoke(self, (name, ), _ctx)

    def shutdownNode(self, name, _ctx=None):
        return _M_IcePack.Admin._op_shutdownNode.invoke(self, (name, ), _ctx)

    def removeNode(self, name, _ctx=None):
        return _M_IcePack.Admin._op_removeNode.invoke(self, (name, ), _ctx)

    def getNodeHostname(self, name, _ctx=None):
        return _M_IcePack.Admin._op_getNodeHostname.invoke(self, (name, ), _ctx)

    def getAllNodeNames(self, _ctx=None):
        return _M_IcePack.Admin._op_getAllNodeNames.invoke(self, (), _ctx)

    def shutdown(self, _ctx=None):
        return _M_IcePack.Admin._op_shutdown.invoke(self, (), _ctx)

    def getSliceChecksums(self, _ctx=None):
        return _M_IcePack.Admin._op_getSliceChecksums.invoke(self, (), _ctx)

    def checkedCast(proxy, facet='', _ctx=None):
        return _M_IcePack.AdminPrx.ice_checkedCast(proxy, '::IcePack::Admin', facet, _ctx)
    checkedCast = staticmethod(checkedCast)

    def uncheckedCast(proxy, facet=''):
        return _M_IcePack.AdminPrx.ice_uncheckedCast(proxy, facet)
    uncheckedCast = staticmethod(uncheckedCast)

_M_IcePack._t_AdminPrx = IcePy.defineProxy('::IcePack::Admin', AdminPrx)

_M_IcePack._t_Admin = IcePy.defineClass('::IcePack::Admin', Admin, True, None, (), ())
Admin.ice_type = _M_IcePack._t_Admin

Admin._op_addApplication = IcePy.Operation('addApplication', Ice.OperationMode.Normal, False, (_M_IcePack._t_ApplicationDescriptor,), (), None, (_M_IcePack._t_DeploymentException,))
Admin._op_updateApplication = IcePy.Operation('updateApplication', Ice.OperationMode.Normal, False, (_M_IcePack._t_ApplicationDescriptor,), (), None, (_M_IcePack._t_DeploymentException,))
Admin._op_getAllApplicationNames = IcePy.Operation('getAllApplicationNames', Ice.OperationMode.Nonmutating, False, (), (), _M_Ice._t_StringSeq, ())
Admin._op_removeApplication = IcePy.Operation('removeApplication', Ice.OperationMode.Normal, False, (IcePy._t_string,), (), None, (_M_IcePack._t_ApplicationNotExistException,))
Admin._op_getApplicationDescriptor = IcePy.Operation('getApplicationDescriptor', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), _M_IcePack._t_ApplicationDescriptor, (_M_IcePack._t_ApplicationNotExistException,))
Admin._op_addServer = IcePy.Operation('addServer', Ice.OperationMode.Normal, False, (_M_IcePack._t_ServerDescriptor,), (), None, (_M_IcePack._t_DeploymentException,))
Admin._op_updateServer = IcePy.Operation('updateServer', Ice.OperationMode.Normal, False, (_M_IcePack._t_ServerDescriptor,), (), None, (_M_IcePack._t_ServerNotExistException, _M_IcePack._t_DeploymentException))
Admin._op_removeServer = IcePy.Operation('removeServer', Ice.OperationMode.Normal, False, (IcePy._t_string,), (), None, (_M_IcePack._t_ServerNotExistException, _M_IcePack._t_DeploymentException))
Admin._op_getServerDescriptor = IcePy.Operation('getServerDescriptor', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), _M_IcePack._t_ServerDescriptor, (_M_IcePack._t_ServerNotExistException,))
Admin._op_getServerState = IcePy.Operation('getServerState', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), _M_IcePack._t_ServerState, (_M_IcePack._t_ServerNotExistException, _M_IcePack._t_NodeUnreachableException))
Admin._op_getServerPid = IcePy.Operation('getServerPid', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), IcePy._t_int, (_M_IcePack._t_ServerNotExistException, _M_IcePack._t_NodeUnreachableException))
Admin._op_getServerActivation = IcePy.Operation('getServerActivation', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), _M_IcePack._t_ServerActivation, (_M_IcePack._t_ServerNotExistException, _M_IcePack._t_NodeUnreachableException))
Admin._op_setServerActivation = IcePy.Operation('setServerActivation', Ice.OperationMode.Normal, False, (IcePy._t_string, _M_IcePack._t_ServerActivation), (), None, (_M_IcePack._t_ServerNotExistException, _M_IcePack._t_NodeUnreachableException))
Admin._op_startServer = IcePy.Operation('startServer', Ice.OperationMode.Normal, False, (IcePy._t_string,), (), IcePy._t_bool, (_M_IcePack._t_ServerNotExistException, _M_IcePack._t_NodeUnreachableException))
Admin._op_stopServer = IcePy.Operation('stopServer', Ice.OperationMode.Normal, False, (IcePy._t_string,), (), None, (_M_IcePack._t_ServerNotExistException, _M_IcePack._t_NodeUnreachableException))
Admin._op_sendSignal = IcePy.Operation('sendSignal', Ice.OperationMode.Normal, False, (IcePy._t_string, IcePy._t_string), (), None, (_M_IcePack._t_ServerNotExistException, _M_IcePack._t_NodeUnreachableException, _M_IcePack._t_BadSignalException))
Admin._op_writeMessage = IcePy.Operation('writeMessage', Ice.OperationMode.Normal, False, (IcePy._t_string, IcePy._t_string, IcePy._t_int), (), None, (_M_IcePack._t_ServerNotExistException, _M_IcePack._t_NodeUnreachableException))
Admin._op_getAllServerNames = IcePy.Operation('getAllServerNames', Ice.OperationMode.Nonmutating, False, (), (), _M_Ice._t_StringSeq, ())
Admin._op_getAdapterEndpoints = IcePy.Operation('getAdapterEndpoints', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), IcePy._t_string, (_M_IcePack._t_AdapterNotExistException, _M_IcePack._t_NodeUnreachableException))
Admin._op_getAllAdapterIds = IcePy.Operation('getAllAdapterIds', Ice.OperationMode.Nonmutating, False, (), (), _M_Ice._t_StringSeq, ())
Admin._op_addObject = IcePy.Operation('addObject', Ice.OperationMode.Normal, False, (IcePy._t_ObjectPrx,), (), None, (_M_IcePack._t_ObjectExistsException, _M_IcePack._t_DeploymentException))
Admin._op_addObjectWithType = IcePy.Operation('addObjectWithType', Ice.OperationMode.Normal, False, (IcePy._t_ObjectPrx, IcePy._t_string), (), None, (_M_IcePack._t_ObjectExistsException,))
Admin._op_removeObject = IcePy.Operation('removeObject', Ice.OperationMode.Normal, False, (_M_Ice._t_Identity,), (), None, (_M_IcePack._t_ObjectNotExistException,))
Admin._op_getObjectDescriptor = IcePy.Operation('getObjectDescriptor', Ice.OperationMode.Nonmutating, False, (_M_Ice._t_Identity,), (), _M_IcePack._t_ObjectDescriptor, (_M_IcePack._t_ObjectNotExistException,))
Admin._op_getAllObjectDescriptors = IcePy.Operation('getAllObjectDescriptors', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), _M_IcePack._t_ObjectDescriptorSeq, ())
Admin._op_pingNode = IcePy.Operation('pingNode', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), IcePy._t_bool, (_M_IcePack._t_NodeNotExistException,))
Admin._op_shutdownNode = IcePy.Operation('shutdownNode', Ice.OperationMode.Idempotent, False, (IcePy._t_string,), (), None, (_M_IcePack._t_NodeNotExistException, _M_IcePack._t_NodeUnreachableException))
Admin._op_removeNode = IcePy.Operation('removeNode', Ice.OperationMode.Idempotent, False, (IcePy._t_string,), (), None, (_M_IcePack._t_NodeNotExistException,))
Admin._op_getNodeHostname = IcePy.Operation('getNodeHostname', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), IcePy._t_string, (_M_IcePack._t_NodeNotExistException, _M_IcePack._t_NodeUnreachableException))
Admin._op_getAllNodeNames = IcePy.Operation('getAllNodeNames', Ice.OperationMode.Nonmutating, False, (), (), _M_Ice._t_StringSeq, ())
Admin._op_shutdown = IcePy.Operation('shutdown', Ice.OperationMode.Idempotent, False, (), (), None, ())
Admin._op_getSliceChecksums = IcePy.Operation('getSliceChecksums', Ice.OperationMode.Nonmutating, False, (), (), _M_Ice._t_SliceChecksumDict, ())

_M_IcePack.Admin = Admin
del Admin

_M_IcePack.AdminPrx = AdminPrx
del AdminPrx

# End of module IcePack

Ice.sliceChecksums["::IcePack::AdapterDescriptor"] = "c373324b7476482fd229d9cbf0116da5"
Ice.sliceChecksums["::IcePack::AdapterDescriptorSeq"] = "52c5dc70f29be5bf8c91e9f3199de20"
Ice.sliceChecksums["::IcePack::Admin"] = "8cea7cefced9f324fe5c1f42daa1bde"
Ice.sliceChecksums["::IcePack::ApplicationDescriptor"] = "df929c5b8257889b46047ba4427fa57"
Ice.sliceChecksums["::IcePack::ComponentDescriptor"] = "f85d8527f8f80f3489c45d72392846"
Ice.sliceChecksums["::IcePack::CppIceBoxDescriptor"] = "f21de3121cbd875910b44dd2db33"
Ice.sliceChecksums["::IcePack::DbEnvDescriptor"] = "6b8e8c9d535298c6068a4b381923"
Ice.sliceChecksums["::IcePack::DbEnvDescriptorSeq"] = "14fbfc23cc1d981d9fbd38839a2d83d"
Ice.sliceChecksums["::IcePack::JavaIceBoxDescriptor"] = "335d2e19cc44e50436a92cf7ccf21b"
Ice.sliceChecksums["::IcePack::JavaServerDescriptor"] = "50184cc9e7b4679372e7ec7f443ce6"
Ice.sliceChecksums["::IcePack::ObjectDescriptor"] = "ecba49c74ec044bbbee53824634d46"
Ice.sliceChecksums["::IcePack::ObjectDescriptorSeq"] = "48864013f7632421e98a65c9e1e2b512"
Ice.sliceChecksums["::IcePack::PropertyDescriptor"] = "8b2145a8b1c5c8ffc9eac6a13e731798"
Ice.sliceChecksums["::IcePack::PropertyDescriptorSeq"] = "abe1a2669d4714ed16813f115f6a2c"
Ice.sliceChecksums["::IcePack::ServerActivation"] = "57724fb0ab6e3564c4544d640e078b5"
Ice.sliceChecksums["::IcePack::ServerDescriptor"] = "c75be8aef5b0f9efc56063f825fe4"
Ice.sliceChecksums["::IcePack::ServerDescriptorSeq"] = "0161b2fcc958de8296ed6ced9680fc"
Ice.sliceChecksums["::IcePack::ServerState"] = "d9d47a7e2a864af82033e01c4ee165"
Ice.sliceChecksums["::IcePack::ServiceDescriptor"] = "6e3b2b99ac54e2e45a8d4effff41f"
Ice.sliceChecksums["::IcePack::ServiceDescriptorSeq"] = "3e6e6933fa2434eba5f81b639a77e65"
