# **********************************************************************
#
# Copyright (c) 2003-2005 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

# Ice version 2.1.2
# Generated from file `Query.ice'

import Ice, IcePy, __builtin__
import Ice_Identity_ice
import Ice_BuiltinSequences_ice
import IcePack_Exception_ice

# Included module Ice
_M_Ice = Ice.openModule('Ice')

# Included module IcePack
_M_IcePack = Ice.openModule('IcePack')

# Start of module IcePack
__name__ = 'IcePack'

_M_IcePack.Query = Ice.createTempClass()
class Query(Ice.Object):
    def __init__(self):
        if __builtin__.type(self) == _M_IcePack.Query:
            raise RuntimeError('IcePack.Query is an abstract class')

    def ice_ids(self, current=None):
        return ('::Ice::Object', '::IcePack::Query')

    def ice_id(self, current=None):
        return '::IcePack::Query'

    #
    # Operation signatures.
    #
    # def findObjectById(self, id, current=None):
    # def findObjectByType(self, type, current=None):
    # def findAllObjectsWithType(self, type, current=None):

    def __str__(self):
        return IcePy.stringify(self, _M_IcePack._t_Query)

    __repr__ = __str__

_M_IcePack.QueryPrx = Ice.createTempClass()
class QueryPrx(Ice.ObjectPrx):

    def findObjectById(self, id, _ctx=None):
        return _M_IcePack.Query._op_findObjectById.invoke(self, (id, ), _ctx)

    def findObjectByType(self, type, _ctx=None):
        return _M_IcePack.Query._op_findObjectByType.invoke(self, (type, ), _ctx)

    def findAllObjectsWithType(self, type, _ctx=None):
        return _M_IcePack.Query._op_findAllObjectsWithType.invoke(self, (type, ), _ctx)

    def checkedCast(proxy, facet='', _ctx=None):
        return _M_IcePack.QueryPrx.ice_checkedCast(proxy, '::IcePack::Query', facet, _ctx)
    checkedCast = staticmethod(checkedCast)

    def uncheckedCast(proxy, facet=''):
        return _M_IcePack.QueryPrx.ice_uncheckedCast(proxy, facet)
    uncheckedCast = staticmethod(uncheckedCast)

_M_IcePack._t_QueryPrx = IcePy.defineProxy('::IcePack::Query', QueryPrx)

_M_IcePack._t_Query = IcePy.defineClass('::IcePack::Query', Query, True, None, (), ())
Query.ice_type = _M_IcePack._t_Query

Query._op_findObjectById = IcePy.Operation('findObjectById', Ice.OperationMode.Nonmutating, False, (_M_Ice._t_Identity,), (), IcePy._t_ObjectPrx, (_M_IcePack._t_ObjectNotExistException,))
Query._op_findObjectByType = IcePy.Operation('findObjectByType', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), IcePy._t_ObjectPrx, (_M_IcePack._t_ObjectNotExistException,))
Query._op_findAllObjectsWithType = IcePy.Operation('findAllObjectsWithType', Ice.OperationMode.Nonmutating, False, (IcePy._t_string,), (), _M_Ice._t_ObjectProxySeq, (_M_IcePack._t_ObjectNotExistException,))

_M_IcePack.Query = Query
del Query

_M_IcePack.QueryPrx = QueryPrx
del QueryPrx

# End of module IcePack

Ice.sliceChecksums["::IcePack::Query"] = "aec9e9890c389f5af5aebbb59ea9b54"
